package com.mortals.xhx.module.perform.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.perform.model.PerformRulesEntity;
/**
 * 绩效规则信息查询对象
 *
 * @author zxfei
 * @date 2023-07-10
 */
public class PerformRulesQuery extends PerformRulesEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 分类id */
    private Long categoryIdStart;

    /** 结束 分类id */
    private Long categoryIdEnd;

    /** 增加 分类id */
    private Long categoryIdIncrement;

    /** 分类id列表 */
    private List <Long> categoryIdList;

    /** 分类id排除列表 */
    private List <Long> categoryIdNotList;

    /** 分类名称 */
    private List<String> categoryNameList;

    /** 分类名称排除列表 */
    private List <String> categoryNameNotList;
    /** 考核内容简称 */
    private List<String> nameList;

    /** 考核内容简称排除列表 */
    private List <String> nameNotList;
    /** 评分标准 */
    private List<String> contentList;

    /** 评分标准排除列表 */
    private List <String> contentNotList;
    /** 开始 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeStart;

    /** 结束 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeEnd;

    /** 增加 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeIncrement;

    /** 增减类型(1.增加,2.扣除)列表 */
    private List <Integer> subAddTypeList;

    /** 增减类型(1.增加,2.扣除)排除列表 */
    private List <Integer> subAddTypeNotList;

    /** 开始 扣分或增加分值 */
    private BigDecimal scoreStart;

    /** 结束 扣分或增加分值 */
    private BigDecimal scoreEnd;

    /** 增加 扣分或增加分值 */
    private BigDecimal scoreIncrement;

    /** 扣分或增加分值列表 */
    private List <BigDecimal> scoreList;

    /** 扣分或增加分值排除列表 */
    private List <BigDecimal> scoreNotList;

    /** 开始 是否关联负责人(0.否,1.是) */
    private Integer assoOwnerStart;

    /** 结束 是否关联负责人(0.否,1.是) */
    private Integer assoOwnerEnd;

    /** 增加 是否关联负责人(0.否,1.是) */
    private Integer assoOwnerIncrement;

    /** 是否关联负责人(0.否,1.是)列表 */
    private List <Integer> assoOwnerList;

    /** 是否关联负责人(0.否,1.是)排除列表 */
    private List <Integer> assoOwnerNotList;

    /** 开始 负责人扣分或增加分值 */
    private BigDecimal ownerScoreStart;

    /** 结束 负责人扣分或增加分值 */
    private BigDecimal ownerScoreEnd;

    /** 增加 负责人扣分或增加分值 */
    private BigDecimal ownerScoreIncrement;

    /** 负责人扣分或增加分值列表 */
    private List <BigDecimal> ownerScoreList;

    /** 负责人扣分或增加分值排除列表 */
    private List <BigDecimal> ownerScoreNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标) */
    private Integer typeStart;

    /** 结束 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标) */
    private Integer typeEnd;

    /** 增加 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标) */
    private Integer typeIncrement;

    /** 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)列表 */
    private List <Integer> typeList;

    /** 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)排除列表 */
    private List <Integer> typeNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 规则编码，唯一,默认规则类型内容简称拼音首字母。 */
    private List<String> ruleCodeList;

    /** 规则编码，唯一,默认规则类型内容简称拼音首字母。排除列表 */
    private List <String> ruleCodeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformRulesQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformRulesQuery> andConditionList;

    public PerformRulesQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 分类id
     * @return categoryIdStart
     */
    public Long getCategoryIdStart(){
        return this.categoryIdStart;
    }

    /**
     * 设置 开始 分类id
     * @param categoryIdStart
     */
    public void setCategoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
    }

    /**
     * 获取 结束 分类id
     * @return $categoryIdEnd
     */
    public Long getCategoryIdEnd(){
        return this.categoryIdEnd;
    }

    /**
     * 设置 结束 分类id
     * @param categoryIdEnd
     */
    public void setCategoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
     * 获取 增加 分类id
     * @return categoryIdIncrement
     */
    public Long getCategoryIdIncrement(){
        return this.categoryIdIncrement;
    }

    /**
     * 设置 增加 分类id
     * @param categoryIdIncrement
     */
    public void setCategoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
     * 获取 分类id
     * @return categoryIdList
     */
    public List<Long> getCategoryIdList(){
        return this.categoryIdList;
    }

    /**
     * 设置 分类id
     * @param categoryIdList
     */
    public void setCategoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
    }

    /**
     * 获取 分类id
     * @return categoryIdNotList
     */
    public List<Long> getCategoryIdNotList(){
        return this.categoryIdNotList;
    }

    /**
     * 设置 分类id
     * @param categoryIdNotList
     */
    public void setCategoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
    }


    /**
     * 获取 分类名称
     * @return categoryNameList
     */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
     * 设置 分类名称
     * @param categoryNameList
     */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }

    /**
     * 获取 分类名称
     * @return categoryNameNotList
     */
    public List<String> getCategoryNameNotList(){
        return this.categoryNameNotList;
    }

    /**
     * 设置 分类名称
     * @param categoryNameNotList
     */
    public void setCategoryNameNotList(List<String> categoryNameNotList){
        this.categoryNameNotList = categoryNameNotList;
    }

    /**
     * 获取 考核内容简称
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 考核内容简称
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 考核内容简称
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 考核内容简称
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 评分标准
     * @return contentList
     */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
     * 设置 评分标准
     * @param contentList
     */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
     * 获取 评分标准
     * @return contentNotList
     */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
     * 设置 评分标准
     * @param contentNotList
     */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
     * 获取 开始 增减类型(1.增加,2.扣除)
     * @return subAddTypeStart
     */
    public Integer getSubAddTypeStart(){
        return this.subAddTypeStart;
    }

    /**
     * 设置 开始 增减类型(1.增加,2.扣除)
     * @param subAddTypeStart
     */
    public void setSubAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
    }

    /**
     * 获取 结束 增减类型(1.增加,2.扣除)
     * @return $subAddTypeEnd
     */
    public Integer getSubAddTypeEnd(){
        return this.subAddTypeEnd;
    }

    /**
     * 设置 结束 增减类型(1.增加,2.扣除)
     * @param subAddTypeEnd
     */
    public void setSubAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
    }

    /**
     * 获取 增加 增减类型(1.增加,2.扣除)
     * @return subAddTypeIncrement
     */
    public Integer getSubAddTypeIncrement(){
        return this.subAddTypeIncrement;
    }

    /**
     * 设置 增加 增减类型(1.增加,2.扣除)
     * @param subAddTypeIncrement
     */
    public void setSubAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
    }

    /**
     * 获取 增减类型(1.增加,2.扣除)
     * @return subAddTypeList
     */
    public List<Integer> getSubAddTypeList(){
        return this.subAddTypeList;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeList
     */
    public void setSubAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
    }

    /**
     * 获取 增减类型(1.增加,2.扣除)
     * @return subAddTypeNotList
     */
    public List<Integer> getSubAddTypeNotList(){
        return this.subAddTypeNotList;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeNotList
     */
    public void setSubAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
    }


    /**
     * 获取 开始 扣分或增加分值
     * @return scoreStart
     */
    public BigDecimal getScoreStart(){
        return this.scoreStart;
    }

    /**
     * 设置 开始 扣分或增加分值
     * @param scoreStart
     */
    public void setScoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
     * 获取 结束 扣分或增加分值
     * @return $scoreEnd
     */
    public BigDecimal getScoreEnd(){
        return this.scoreEnd;
    }

    /**
     * 设置 结束 扣分或增加分值
     * @param scoreEnd
     */
    public void setScoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
     * 获取 增加 扣分或增加分值
     * @return scoreIncrement
     */
    public BigDecimal getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
     * 设置 增加 扣分或增加分值
     * @param scoreIncrement
     */
    public void setScoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
     * 获取 扣分或增加分值
     * @return scoreList
     */
    public List<BigDecimal> getScoreList(){
        return this.scoreList;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreList
     */
    public void setScoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
    }

    /**
     * 获取 扣分或增加分值
     * @return scoreNotList
     */
    public List<BigDecimal> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreNotList
     */
    public void setScoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
     * 获取 开始 是否关联负责人(0.否,1.是)
     * @return assoOwnerStart
     */
    public Integer getAssoOwnerStart(){
        return this.assoOwnerStart;
    }

    /**
     * 设置 开始 是否关联负责人(0.否,1.是)
     * @param assoOwnerStart
     */
    public void setAssoOwnerStart(Integer assoOwnerStart){
        this.assoOwnerStart = assoOwnerStart;
    }

    /**
     * 获取 结束 是否关联负责人(0.否,1.是)
     * @return $assoOwnerEnd
     */
    public Integer getAssoOwnerEnd(){
        return this.assoOwnerEnd;
    }

    /**
     * 设置 结束 是否关联负责人(0.否,1.是)
     * @param assoOwnerEnd
     */
    public void setAssoOwnerEnd(Integer assoOwnerEnd){
        this.assoOwnerEnd = assoOwnerEnd;
    }

    /**
     * 获取 增加 是否关联负责人(0.否,1.是)
     * @return assoOwnerIncrement
     */
    public Integer getAssoOwnerIncrement(){
        return this.assoOwnerIncrement;
    }

    /**
     * 设置 增加 是否关联负责人(0.否,1.是)
     * @param assoOwnerIncrement
     */
    public void setAssoOwnerIncrement(Integer assoOwnerIncrement){
        this.assoOwnerIncrement = assoOwnerIncrement;
    }

    /**
     * 获取 是否关联负责人(0.否,1.是)
     * @return assoOwnerList
     */
    public List<Integer> getAssoOwnerList(){
        return this.assoOwnerList;
    }

    /**
     * 设置 是否关联负责人(0.否,1.是)
     * @param assoOwnerList
     */
    public void setAssoOwnerList(List<Integer> assoOwnerList){
        this.assoOwnerList = assoOwnerList;
    }

    /**
     * 获取 是否关联负责人(0.否,1.是)
     * @return assoOwnerNotList
     */
    public List<Integer> getAssoOwnerNotList(){
        return this.assoOwnerNotList;
    }

    /**
     * 设置 是否关联负责人(0.否,1.是)
     * @param assoOwnerNotList
     */
    public void setAssoOwnerNotList(List<Integer> assoOwnerNotList){
        this.assoOwnerNotList = assoOwnerNotList;
    }


    /**
     * 获取 开始 负责人扣分或增加分值
     * @return ownerScoreStart
     */
    public BigDecimal getOwnerScoreStart(){
        return this.ownerScoreStart;
    }

    /**
     * 设置 开始 负责人扣分或增加分值
     * @param ownerScoreStart
     */
    public void setOwnerScoreStart(BigDecimal ownerScoreStart){
        this.ownerScoreStart = ownerScoreStart;
    }

    /**
     * 获取 结束 负责人扣分或增加分值
     * @return $ownerScoreEnd
     */
    public BigDecimal getOwnerScoreEnd(){
        return this.ownerScoreEnd;
    }

    /**
     * 设置 结束 负责人扣分或增加分值
     * @param ownerScoreEnd
     */
    public void setOwnerScoreEnd(BigDecimal ownerScoreEnd){
        this.ownerScoreEnd = ownerScoreEnd;
    }

    /**
     * 获取 增加 负责人扣分或增加分值
     * @return ownerScoreIncrement
     */
    public BigDecimal getOwnerScoreIncrement(){
        return this.ownerScoreIncrement;
    }

    /**
     * 设置 增加 负责人扣分或增加分值
     * @param ownerScoreIncrement
     */
    public void setOwnerScoreIncrement(BigDecimal ownerScoreIncrement){
        this.ownerScoreIncrement = ownerScoreIncrement;
    }

    /**
     * 获取 负责人扣分或增加分值
     * @return ownerScoreList
     */
    public List<BigDecimal> getOwnerScoreList(){
        return this.ownerScoreList;
    }

    /**
     * 设置 负责人扣分或增加分值
     * @param ownerScoreList
     */
    public void setOwnerScoreList(List<BigDecimal> ownerScoreList){
        this.ownerScoreList = ownerScoreList;
    }

    /**
     * 获取 负责人扣分或增加分值
     * @return ownerScoreNotList
     */
    public List<BigDecimal> getOwnerScoreNotList(){
        return this.ownerScoreNotList;
    }

    /**
     * 设置 负责人扣分或增加分值
     * @param ownerScoreNotList
     */
    public void setOwnerScoreNotList(List<BigDecimal> ownerScoreNotList){
        this.ownerScoreNotList = ownerScoreNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @return typeStart
     */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
     * 设置 开始 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeStart
     */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
     * 获取 结束 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @return $typeEnd
     */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
     * 设置 结束 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeEnd
     */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
     * 获取 增加 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @return typeIncrement
     */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
     * 设置 增加 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeIncrement
     */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
     * 获取 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @return typeList
     */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
     * 设置 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeList
     */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
     * 获取 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @return typeNotList
     */
    public List<Integer> getTypeNotList(){
        return this.typeNotList;
    }

    /**
     * 设置 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeNotList
     */
    public void setTypeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 规则编码，唯一,默认规则类型内容简称拼音首字母。
     * @return ruleCodeList
     */
    public List<String> getRuleCodeList(){
        return this.ruleCodeList;
    }

    /**
     * 设置 规则编码，唯一,默认规则类型内容简称拼音首字母。
     * @param ruleCodeList
     */
    public void setRuleCodeList(List<String> ruleCodeList){
        this.ruleCodeList = ruleCodeList;
    }

    /**
     * 获取 规则编码，唯一,默认规则类型内容简称拼音首字母。
     * @return ruleCodeNotList
     */
    public List<String> getRuleCodeNotList(){
        return this.ruleCodeNotList;
    }

    /**
     * 设置 规则编码，唯一,默认规则类型内容简称拼音首字母。
     * @param ruleCodeNotList
     */
    public void setRuleCodeNotList(List<String> ruleCodeNotList){
        this.ruleCodeNotList = ruleCodeNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public PerformRulesQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public PerformRulesQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public PerformRulesQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public PerformRulesQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public PerformRulesQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public PerformRulesQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  分类id
     * @param categoryId
     */
    public PerformRulesQuery categoryId(Long categoryId){
        setCategoryId(categoryId);
        return this;
    }

    /**
     * 设置 开始 分类id
     * @param categoryIdStart
     */
    public PerformRulesQuery categoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
        return this;
    }

    /**
     * 设置 结束 分类id
     * @param categoryIdEnd
     */
    public PerformRulesQuery categoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
        return this;
    }

    /**
     * 设置 增加 分类id
     * @param categoryIdIncrement
     */
    public PerformRulesQuery categoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
        return this;
    }

    /**
     * 设置 分类id
     * @param categoryIdList
     */
    public PerformRulesQuery categoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
        return this;
    }

    /**
     * 设置 分类id
     * @param categoryIdNotList
     */
    public PerformRulesQuery categoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
        return this;
    }


    /**
     * 设置 分类名称
     * @param categoryName
     */
    public PerformRulesQuery categoryName(String categoryName){
        setCategoryName(categoryName);
        return this;
    }

    /**
     * 设置 分类名称
     * @param categoryNameList
     */
    public PerformRulesQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
        return this;
    }


    /**
     * 设置 考核内容简称
     * @param name
     */
    public PerformRulesQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 考核内容简称
     * @param nameList
     */
    public PerformRulesQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 评分标准
     * @param content
     */
    public PerformRulesQuery content(String content){
        setContent(content);
        return this;
    }

    /**
     * 设置 评分标准
     * @param contentList
     */
    public PerformRulesQuery contentList(List<String> contentList){
        this.contentList = contentList;
        return this;
    }

    /**
     * 设置  增减类型(1.增加,2.扣除)
     * @param subAddType
     */
    public PerformRulesQuery subAddType(Integer subAddType){
        setSubAddType(subAddType);
        return this;
    }

    /**
     * 设置 开始 增减类型(1.增加,2.扣除)
     * @param subAddTypeStart
     */
    public PerformRulesQuery subAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
        return this;
    }

    /**
     * 设置 结束 增减类型(1.增加,2.扣除)
     * @param subAddTypeEnd
     */
    public PerformRulesQuery subAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
        return this;
    }

    /**
     * 设置 增加 增减类型(1.增加,2.扣除)
     * @param subAddTypeIncrement
     */
    public PerformRulesQuery subAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
        return this;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeList
     */
    public PerformRulesQuery subAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
        return this;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeNotList
     */
    public PerformRulesQuery subAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
        return this;
    }

    /**
     * 设置  扣分或增加分值
     * @param score
     */
    public PerformRulesQuery score(BigDecimal score){
        setScore(score);
        return this;
    }

    /**
     * 设置 开始 扣分或增加分值
     * @param scoreStart
     */
    public PerformRulesQuery scoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
        return this;
    }

    /**
     * 设置 结束 扣分或增加分值
     * @param scoreEnd
     */
    public PerformRulesQuery scoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
        return this;
    }

    /**
     * 设置 增加 扣分或增加分值
     * @param scoreIncrement
     */
    public PerformRulesQuery scoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
        return this;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreList
     */
    public PerformRulesQuery scoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
        return this;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreNotList
     */
    public PerformRulesQuery scoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
    }

    /**
     * 设置  是否关联负责人(0.否,1.是)
     * @param assoOwner
     */
    public PerformRulesQuery assoOwner(Integer assoOwner){
        setAssoOwner(assoOwner);
        return this;
    }

    /**
     * 设置 开始 是否关联负责人(0.否,1.是)
     * @param assoOwnerStart
     */
    public PerformRulesQuery assoOwnerStart(Integer assoOwnerStart){
        this.assoOwnerStart = assoOwnerStart;
        return this;
    }

    /**
     * 设置 结束 是否关联负责人(0.否,1.是)
     * @param assoOwnerEnd
     */
    public PerformRulesQuery assoOwnerEnd(Integer assoOwnerEnd){
        this.assoOwnerEnd = assoOwnerEnd;
        return this;
    }

    /**
     * 设置 增加 是否关联负责人(0.否,1.是)
     * @param assoOwnerIncrement
     */
    public PerformRulesQuery assoOwnerIncrement(Integer assoOwnerIncrement){
        this.assoOwnerIncrement = assoOwnerIncrement;
        return this;
    }

    /**
     * 设置 是否关联负责人(0.否,1.是)
     * @param assoOwnerList
     */
    public PerformRulesQuery assoOwnerList(List<Integer> assoOwnerList){
        this.assoOwnerList = assoOwnerList;
        return this;
    }

    /**
     * 设置 是否关联负责人(0.否,1.是)
     * @param assoOwnerNotList
     */
    public PerformRulesQuery assoOwnerNotList(List<Integer> assoOwnerNotList){
        this.assoOwnerNotList = assoOwnerNotList;
        return this;
    }

    /**
     * 设置  负责人扣分或增加分值
     * @param ownerScore
     */
    public PerformRulesQuery ownerScore(BigDecimal ownerScore){
        setOwnerScore(ownerScore);
        return this;
    }

    /**
     * 设置 开始 负责人扣分或增加分值
     * @param ownerScoreStart
     */
    public PerformRulesQuery ownerScoreStart(BigDecimal ownerScoreStart){
        this.ownerScoreStart = ownerScoreStart;
        return this;
    }

    /**
     * 设置 结束 负责人扣分或增加分值
     * @param ownerScoreEnd
     */
    public PerformRulesQuery ownerScoreEnd(BigDecimal ownerScoreEnd){
        this.ownerScoreEnd = ownerScoreEnd;
        return this;
    }

    /**
     * 设置 增加 负责人扣分或增加分值
     * @param ownerScoreIncrement
     */
    public PerformRulesQuery ownerScoreIncrement(BigDecimal ownerScoreIncrement){
        this.ownerScoreIncrement = ownerScoreIncrement;
        return this;
    }

    /**
     * 设置 负责人扣分或增加分值
     * @param ownerScoreList
     */
    public PerformRulesQuery ownerScoreList(List<BigDecimal> ownerScoreList){
        this.ownerScoreList = ownerScoreList;
        return this;
    }

    /**
     * 设置 负责人扣分或增加分值
     * @param ownerScoreNotList
     */
    public PerformRulesQuery ownerScoreNotList(List<BigDecimal> ownerScoreNotList){
        this.ownerScoreNotList = ownerScoreNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public PerformRulesQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public PerformRulesQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param type
     */
    public PerformRulesQuery type(Integer type){
        setType(type);
        return this;
    }

    /**
     * 设置 开始 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeStart
     */
    public PerformRulesQuery typeStart(Integer typeStart){
        this.typeStart = typeStart;
        return this;
    }

    /**
     * 设置 结束 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeEnd
     */
    public PerformRulesQuery typeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
        return this;
    }

    /**
     * 设置 增加 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeIncrement
     */
    public PerformRulesQuery typeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
        return this;
    }

    /**
     * 设置 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeList
     */
    public PerformRulesQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
        return this;
    }

    /**
     * 设置 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
     * @param typeNotList
     */
    public PerformRulesQuery typeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public PerformRulesQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public PerformRulesQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public PerformRulesQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public PerformRulesQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public PerformRulesQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public PerformRulesQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public PerformRulesQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public PerformRulesQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public PerformRulesQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public PerformRulesQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public PerformRulesQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public PerformRulesQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 规则编码，唯一,默认规则类型内容简称拼音首字母。
     * @param ruleCode
     */
    public PerformRulesQuery ruleCode(String ruleCode){
        setRuleCode(ruleCode);
        return this;
    }

    /**
     * 设置 规则编码，唯一,默认规则类型内容简称拼音首字母。
     * @param ruleCodeList
     */
    public PerformRulesQuery ruleCodeList(List<String> ruleCodeList){
        this.ruleCodeList = ruleCodeList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PerformRulesQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PerformRulesQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PerformRulesQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PerformRulesQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}